python-acme_0.17.0-1_all.deb


Advertisement

Description

python-acme - ACME protocol library for Python 2

Property Value
Distribution Ubuntu 17.10 (Artful Aardvark)
Repository Ubuntu Universe i386
Package name python-acme
Package version 0.17.0
Package release 1
Package architecture all
Package type deb
Installed size 325 B
Download size 57.22 KB
Official Mirror archive.ubuntu.com
This is a library used by the Let's Encrypt client for the ACME
(Automated Certificate Management Environment).  The ACME protocol is
designed as part of the Let's Encrypt project, to make it possible to
setup an HTTPS server and have it automatically obtain a
browser-trusted certificate, without any human intervention.  This
library implements the protocol used for proving the control of a
domain.  This library is Python 2.

Alternatives

Package Version Architecture Repository
python-acme_0.17.0-1_all.deb 0.17.0 all Ubuntu Universe
python-acme - - -

Requires

Name Value
ca-certificates -
python-cryptography >= 0.8
python-mock -
python-openssl >= 0.15
python-requests -
python-rfc3339 -
python-setuptools >= 11.3~
python-six -
python-tz -
python:any << 2.8
python:any >= 2.7.5-5~

Download

Type URL
Binary Package python-acme_0.17.0-1_all.deb
Source Package python-acme

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-acme deb package:
    # sudo apt-get install python-acme

Files

Path
/usr/lib/python2.7/dist-packages/acme/__init__.py
/usr/lib/python2.7/dist-packages/acme/challenges.py
/usr/lib/python2.7/dist-packages/acme/challenges_test.py
/usr/lib/python2.7/dist-packages/acme/client.py
/usr/lib/python2.7/dist-packages/acme/client_test.py
/usr/lib/python2.7/dist-packages/acme/crypto_util.py
/usr/lib/python2.7/dist-packages/acme/crypto_util_test.py
/usr/lib/python2.7/dist-packages/acme/errors.py
/usr/lib/python2.7/dist-packages/acme/errors_test.py
/usr/lib/python2.7/dist-packages/acme/fields.py
/usr/lib/python2.7/dist-packages/acme/fields_test.py
/usr/lib/python2.7/dist-packages/acme/jws.py
/usr/lib/python2.7/dist-packages/acme/jws_test.py
/usr/lib/python2.7/dist-packages/acme/messages.py
/usr/lib/python2.7/dist-packages/acme/messages_test.py
/usr/lib/python2.7/dist-packages/acme/standalone.py
/usr/lib/python2.7/dist-packages/acme/standalone_test.py
/usr/lib/python2.7/dist-packages/acme/test_util.py
/usr/lib/python2.7/dist-packages/acme/util.py
/usr/lib/python2.7/dist-packages/acme/util_test.py
/usr/lib/python2.7/dist-packages/acme-0.17.0.egg-info/PKG-INFO
/usr/lib/python2.7/dist-packages/acme-0.17.0.egg-info/dependency_links.txt
/usr/lib/python2.7/dist-packages/acme-0.17.0.egg-info/entry_points.txt
/usr/lib/python2.7/dist-packages/acme-0.17.0.egg-info/requires.txt
/usr/lib/python2.7/dist-packages/acme-0.17.0.egg-info/top_level.txt
/usr/lib/python2.7/dist-packages/acme/jose/__init__.py
/usr/lib/python2.7/dist-packages/acme/jose/b64.py
/usr/lib/python2.7/dist-packages/acme/jose/b64_test.py
/usr/lib/python2.7/dist-packages/acme/jose/errors.py
/usr/lib/python2.7/dist-packages/acme/jose/errors_test.py
/usr/lib/python2.7/dist-packages/acme/jose/interfaces.py
/usr/lib/python2.7/dist-packages/acme/jose/interfaces_test.py
/usr/lib/python2.7/dist-packages/acme/jose/json_util.py
/usr/lib/python2.7/dist-packages/acme/jose/json_util_test.py
/usr/lib/python2.7/dist-packages/acme/jose/jwa.py
/usr/lib/python2.7/dist-packages/acme/jose/jwa_test.py
/usr/lib/python2.7/dist-packages/acme/jose/jwk.py
/usr/lib/python2.7/dist-packages/acme/jose/jwk_test.py
/usr/lib/python2.7/dist-packages/acme/jose/jws.py
/usr/lib/python2.7/dist-packages/acme/jose/jws_test.py
/usr/lib/python2.7/dist-packages/acme/jose/util.py
/usr/lib/python2.7/dist-packages/acme/jose/util_test.py
/usr/share/doc/python-acme/changelog.Debian.gz
/usr/share/doc/python-acme/copyright

Changelog

2017-08-06 - Harlan Lieberman-Berg <hlieberman@debian.org>
python-acme (0.17.0-1) unstable; urgency=medium
* New upstream release.
* Reduce dependency on python-requests, following upstream.
* Increase priority to optional to comply with Policy v4.0.1.0
* Declare Testsuite using simple autopkgtest.
* Bump S-V to 4.0.1.
2017-05-26 - Robie Basak <robie.basak@ubuntu.com>
python-acme (0.14.2-1) experimental; urgency=medium
* Team upload.
* New upstream release.
2017-03-18 - Harlan Lieberman-Berg <hlieberman@debian.org>
python-acme (0.12.0-1) experimental; urgency=medium
* New upstream release.
2017-02-02 - Harlan Lieberman-Berg <hlieberman@debian.org>
python-acme (0.11.1-1) unstable; urgency=medium
* New upstream release.
* Drop dep on python3?-dnspython removed upstream
2017-01-26 - Harlan Lieberman-Berg <hlieberman@debian.org>
python-acme (0.10.2-1) unstable; urgency=medium
* New upstream release.
2017-01-19 - Harlan Lieberman-Berg <hlieberman@debian.org>
python-acme (0.10.1-1) unstable; urgency=medium
* New upstream version.
* Drop patch applied upstream.
* Rejigger dependencies.
2016-12-02 - Harlan Lieberman-Berg <hlieberman@debian.org>
python-acme (0.9.3-2) unstable; urgency=medium
* Add patch to fix tests with OpenSSL 1.1 (Closes: #844944)
2016-10-13 - Harlan Lieberman-Berg <hlieberman@debian.org>
python-acme (0.9.3-1) unstable; urgency=medium
* New upstream release.
2016-09-02 - Harlan Lieberman-Berg <hlieberman@debian.org>
python-acme (0.8.1-2) unstable; urgency=medium
* Ensure there's no network access at build time.
2016-06-30 - Harlan Lieberman-Berg <hlieberman@debian.org>
python-acme (0.8.1-1) unstable; urgency=medium
* New upstream release.
* Specify python-setuptools version.  (Closes: #825619)

See Also

Package Description
python-acora_2.0-2build3_i386.deb fast multi-keyword text search engine (Python 2)
python-acoustid_1.1.2-2_all.deb Acoustid interface implementation and Chromaprint bindings
python-actdiag_0.5.4+dfsg-1_all.deb generate activity-diagram image file from spec-text file
python-actionlib-msgs_1.12.5-3_all.deb Messages relating to Robot OS actionlib, Python interface
python-actionlib_1.11.7-1_all.deb Robot OS actionlib library - Python interface
python-activipy_0.1-5_all.deb implementation of ActivityStreams 2.0 for Python 2
python-adal_0.4.6-1_all.deb Azure Active Directory Authentication Library for Python 2.x
python-adios_1.11.0-2build2_i386.deb Python interface to the ADIOS IO system
python-admesh_0.98.7-1build1_i386.deb Python bindings for the ADMesh (Python 2)
python-adns_1.2.1-5build3_i386.deb Python bindings to the asynchronous DNS resolver library
python-adodb_2.10-2_all.deb A database abstraction library for python
python-aff4_0.24.post1-3_all.deb AFF4 - The Advanced Forensics File Format - Python 2 bindings
python-affine_2.1.0-1_all.deb Python Library for handling affine transformations of the plane
python-afl_0.6.1-1build1_i386.deb American Fuzzy Lop (afl) for pure Python code
python-agate-doc_1.6.0-3_all.deb documentation for agate
Advertisement
Advertisement